Adaptive Dimensions Flutter

A flutter plugin for adapting different screen sizes, scaling Fonts on different screens.

Note: This plugin is still under development, and some APIs might not be available yet.

Add dependency´╝Ü

Please check the latest version before installation. Add this to your package's pubspec.yaml file:

dependencies:
  adaptive_dimensions_flutter: ^0.0.1

Install it

You can install packages from the command line: with Flutter:

$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:adaptive_dimensions_flutter/adaptive_dimensions_flutter.dart';

Libraries

adaptive_dimensions_flutter